Package org.eclipse.lemminx.dom

## Class DTDEntityDecl

- java.lang.Object
- - org.eclipse.lemminx.dom.DOMNode
  - - org.eclipse.lemminx.dom.DTDDeclNode
    - - org.eclipse.lemminx.dom.DTDEntityDecl

All Implemented Interfaces:
  `DOMRange`, `Entity`, `Node`

    public class DTDEntityDecl
    extends DTDDeclNode
    implements Entity

DOM Entity declaration

### Field Summary

### Fields inherited from class org.eclipse.lemminx.dom.DTDDeclNode

`declType, unrecognized`

### Fields inherited from class org.eclipse.lemminx.dom.DOMNode

`DTD_ATT_LIST_NODE, DTD_DECL_NODE, DTD_ELEMENT_DECL_NODE, DTD_ENTITY_DECL_NODE, DTD_NOTATION_DECL, NULL_VALUE`

### Fields inherited from interface org.w3c.dom.Node

`ATTRIBUTE_NODE, CDATA_SECTION_NODE, COMMENT_NODE, DOCUMENT_FRAGMENT_NODE, DOCUMENT_NODE, DOCUMENT_POSITION_CONTAINED_BY, DOCUMENT_POSITION_CONTAINS, DOCUMENT_POSITION_DISCONNECTED, DOCUMENT_POSITION_FOLLOWING, DOCUMENT_POSITION_IMPLEMENTATION_SPECIFIC, DOCUMENT_POSITION_PRECEDING, DOCUMENT_TYPE_NODE, ELEMENT_NODE, ENTITY_NODE, ENTITY_REFERENCE_NODE, NOTATION_NODE, PROCESSING_INSTRUCTION_NODE, TEXT_NODE`

### Constructor Summary

Constructors
`DTDEntityDecl​(int start, int end)`

### Method Summary

All Methods Instance Methods Concrete Methods
`String` `getInputEncoding()`
`String` `getKind()` Returns the entity kind (PUBLIC, SYSTEM) and null otherwise.
`short` `getNodeType()`
`String` `getNotationName()`
`String` `getPercent()` Returns the '%' and null otherwise.
`String` `getPublicId()`
`String` `getSystemId()`
`DTDDeclParameter` `getSystemIdNode()` Returns the system id node and null otherwise.
`String` `getValue()` Returns the entity value content and null otherwise.
`DTDDeclParameter` `getValueNode()` Returns the entity value node and null otherwise.
`String` `getXmlEncoding()`
`String` `getXmlVersion()`
`void` `setKind​(int start, int end)`
`void` `setPercent​(int start, int end)`
`void` `setPublicId​(int start, int end)`
`void` `setSystemId​(int start, int end)`
`void` `setValue​(int start, int end)`

### Methods inherited from class org.eclipse.lemminx.dom.DTDDeclNode

`addNewParameter, getDeclType, getName, getNameParameter, getNodeName, getOwnerDocType, getParameterAtIndex, getParameters, getReferencedElementNameAt, getUnrecognized, isInNameParameter, setDeclType, setName, setUnrecognized, updateLastParameterEnd`

### Methods inherited from class org.eclipse.lemminx.dom.DOMNode

`addChild, appendChild, cloneNode, compareDocumentPosition, findAttrAt, findAttrAt, findDTDDeclParameterAt, findDTDDeclParameterAt, findNodeAt, findNodeBefore, findNodeOrAttrAt, findTextAt, getAttribute, getAttributeAtIndex, getAttributeNode, getAttributeNode, getAttributeNodes, getAttributes, getBaseURI, getChild, getChildNodes, getChildren, getChildrenWithAttributeValue, getEnd, getFeature, getFirstChild, getLastChild, getLocalName, getNamespaceURI, getNextSibling, getNodeValue, getOrphanEndElement, getOrphanEndElement, getOwnerDocument, getParentElement, getParentNode, getPrefix, getPreviousNonTextSibling, getPreviousSibling, getStart, getTextContent, getUserData, hasAttribute, hasAttributes, hasChildNodes, insertBefore, isAttribute, isCDATA, isCharacterData, isChildOfOwnerDocument, isClosed, isComment, isDefaultNamespace, isDoctype, isDTDAttListDecl, isDTDElementDecl, isDTDEntityDecl, isDTDNotationDecl, isElement, isEqualNode, isGenericDTDDecl, isIncluded, isIncluded, isOwnerDocument, isProcessingInstruction, isProlog, isSameNode, isSupported, isText, lookupNamespaceURI, lookupPrefix, normalize, removeChild, replaceChild, setAttribute, setAttributeNode, setNodeValue, setPrefix, setTextContent, setUserData, toString`

### Methods inherited from class java.lang.Object

`clone, equals, finalize, getClass, hashCode, notify, notifyAll, wait, wait, wait`

### Methods inherited from interface org.w3c.dom.Node

`appendChild, cloneNode, compareDocumentPosition, getAttributes, getBaseURI, getChildNodes, getFeature, getFirstChild, getLastChild, getLocalName, getNamespaceURI, getNextSibling, getNodeName, getNodeValue, getOwnerDocument, getParentNode, getPrefix, getPreviousSibling, getTextContent, getUserData, hasAttributes, hasChildNodes, insertBefore, isDefaultNamespace, isEqualNode, isSameNode, isSupported, lookupNamespaceURI, lookupPrefix, normalize, removeChild, replaceChild, setNodeValue, setPrefix, setTextContent, setUserData`

### Constructor Detail

#### DTDEntityDecl

    public DTDEntityDecl​(int start,
                         int end)

### Method Detail

#### getPercent

    public String getPercent()

Returns the '%' and null otherwise.

Returns:
  the '%' and null otherwise.

#### setPercent

    public void setPercent​(int start,
                           int end)

#### getValueNode

    public DTDDeclParameter getValueNode()

Returns the entity value node and null otherwise.

Returns:
  the entity value node and null otherwise.

#### getValue

    public String getValue()

Returns the entity value content and null otherwise.

Returns:
  the entity value content and null otherwise.

#### setValue

    public void setValue​(int start,
                         int end)

#### getKind

    public String getKind()

Returns the entity kind (PUBLIC, SYSTEM) and null otherwise.

Returns:
  the entity kind (PUBLIC, SYSTEM) and null otherwise.

#### setKind

    public void setKind​(int start,
                        int end)

#### getNodeType

    public short getNodeType()

Specified by:
  `getNodeType` in interface `Node`
Overrides:
  `getNodeType` in class `DTDDeclNode`

#### getInputEncoding

    public String getInputEncoding()

Specified by:
  `getInputEncoding` in interface `Entity`

#### getNotationName

    public String getNotationName()

Specified by:
  `getNotationName` in interface `Entity`

#### getPublicId

    public String getPublicId()

Specified by:
  `getPublicId` in interface `Entity`

#### setPublicId

    public void setPublicId​(int start,
                            int end)

#### getSystemId

    public String getSystemId()

Specified by:
  `getSystemId` in interface `Entity`

#### getSystemIdNode

    public DTDDeclParameter getSystemIdNode()

Returns the system id node and null otherwise.

Returns:
  the system id node and null otherwise.

#### setSystemId

    public void setSystemId​(int start,
                            int end)

#### getXmlEncoding

    public String getXmlEncoding()

Specified by:
  `getXmlEncoding` in interface `Entity`

#### getXmlVersion

    public String getXmlVersion()

Specified by:
  `getXmlVersion` in interface `Entity`